Index: Mk/Uses/ada.mk
===================================================================
--- Mk/Uses/ada.mk	(revision 414290)
+++ Mk/Uses/ada.mk	(working copy)
@@ -14,7 +14,7 @@
 _INCLUDE_USES_ADA_MK=    yes
 
 CC=	ada
-ADAXX=	gcc5	# framework default
+ADAXX=	gcc6	# framework default
 
 . if ${ada_ARGS:M49}
 ADAXX=	gcc
@@ -25,8 +25,8 @@
 . elif defined(ADA_DEFAULT)
 .  if ${ADA_DEFAULT} == 49
 ADAXX=	gcc
-.  elif ${ADA_DEFAULT} == 6
-ADAXX=	gcc6
+.  elif ${ADA_DEFAULT} == 5
+ADAXX=	gcc5
 .  endif
 . endif
 
Index: archivers/zip-ada/Makefile
===================================================================
--- archivers/zip-ada/Makefile	(revision 414290)
+++ archivers/zip-ada/Makefile	(working copy)
@@ -3,7 +3,7 @@
 
 PORTNAME=	zip-ada
 PORTVERSION=	50
-PORTREVISION=	1
+PORTREVISION=	2
 CATEGORIES=	archivers
 MASTER_SITES=	SF/unzip-ada/
 DISTNAME=	zipada${PORTVERSION}_f1
Index: cad/ghdl/Makefile
===================================================================
--- cad/ghdl/Makefile	(revision 414290)
+++ cad/ghdl/Makefile	(working copy)
@@ -17,7 +17,7 @@
 		libmpfr.so:math/mpfr \
 		libmpc.so:math/mpc
 
-USES=		ada gmake
+USES=		ada:5 gmake
 USE_GITHUB=	yes
 GH_ACCOUNT=	tgingold
 
Index: databases/apq/Makefile.version
===================================================================
--- databases/apq/Makefile.version	(revision 414290)
+++ databases/apq/Makefile.version	(working copy)
@@ -1,7 +1,7 @@
 # $FreeBSD$
 
 APQ_VERSION=	3.2.0
-BASE_PORTREV=	0
-DRV_ODBC_PR=	0
-DRV_MYSQL_PR=	1
-DRV_PGSQL_PR=	0
+BASE_PORTREV=	1
+DRV_ODBC_PR=	1
+DRV_MYSQL_PR=	2
+DRV_PGSQL_PR=	1
Index: devel/ada-util/Makefile
===================================================================
--- devel/ada-util/Makefile	(revision 414290)
+++ devel/ada-util/Makefile	(working copy)
@@ -3,7 +3,7 @@
 
 PORTNAME=	ada-util
 PORTVERSION=	1.8.0
-PORTREVISION=	2
+PORTREVISION=	3
 CATEGORIES=	devel
 
 MAINTAINER=	marino@FreeBSD.org
Index: devel/adabooch/Makefile
===================================================================
--- devel/adabooch/Makefile	(revision 414290)
+++ devel/adabooch/Makefile	(working copy)
@@ -3,6 +3,7 @@
 
 PORTNAME=	adabooch
 PORTVERSION=	20160321
+PORTREVISION=	1
 CATEGORIES=	devel
 MASTER_SITES=	SF/booch95/booch95/${PORTVERSION}
 DISTNAME=	bc-${PORTVERSION}
Index: devel/adacurses/Makefile
===================================================================
--- devel/adacurses/Makefile	(revision 414290)
+++ devel/adacurses/Makefile	(working copy)
@@ -3,6 +3,7 @@
 
 PORTNAME=	adacurses
 PORTVERSION=	20150808
+PORTREVISION=	1
 CATEGORIES=	devel
 MASTER_SITES=	ftp://invisible-island.net/AdaCurses/
 DISTNAME=	AdaCurses-${PORTVERSION}
Index: devel/afay/Makefile
===================================================================
--- devel/afay/Makefile	(revision 414290)
+++ devel/afay/Makefile	(working copy)
@@ -3,7 +3,7 @@
 
 PORTNAME=	afay
 PORTVERSION=	041111
-PORTREVISION=	2
+PORTREVISION=	3
 CATEGORIES=	devel
 MASTER_SITES=	http://thiberlog.free.fr/src/
 DISTNAME=	afay_thiberlog_${PORTVERSION}
Index: devel/ahven/Makefile
===================================================================
--- devel/ahven/Makefile	(revision 414290)
+++ devel/ahven/Makefile	(working copy)
@@ -3,7 +3,7 @@
 
 PORTNAME=	ahven
 PORTVERSION=	2.6
-PORTREVISION=	1
+PORTREVISION=	2
 CATEGORIES=	devel
 MASTER_SITES=	http://www.ahven-framework.com/releases/
 
Index: devel/alog/Makefile
===================================================================
--- devel/alog/Makefile	(revision 414290)
+++ devel/alog/Makefile	(working copy)
@@ -3,6 +3,7 @@
 
 PORTNAME=	alog
 PORTVERSION=	0.5.1
+PORTREVISION=	1
 CATEGORIES=	devel
 MASTER_SITES=	http://www.codelabs.ch/download/
 DISTNAME=	libalog-${PORTVERSION}
Index: devel/florist-gpl/Makefile
===================================================================
--- devel/florist-gpl/Makefile	(revision 414290)
+++ devel/florist-gpl/Makefile	(working copy)
@@ -3,6 +3,7 @@
 
 PORTNAME=	florist-gpl
 PORTVERSION=	2015
+PORTREVISION=	1
 CATEGORIES=	devel
 MASTER_SITES=	http://downloads.dragonlace.net/src/
 DISTNAME=	${PORTNAME}-${PORTVERSION}-src
Index: devel/gnatcoll/Makefile
===================================================================
--- devel/gnatcoll/Makefile	(revision 414290)
+++ devel/gnatcoll/Makefile	(working copy)
@@ -3,7 +3,7 @@
 
 PORTNAME=	gnatcoll
 PORTVERSION=	2015
-PORTREVISION=	1
+PORTREVISION=	2
 CATEGORIES=	devel
 MASTER_SITES=	http://downloads.dragonlace.net/src/
 DISTNAME=	${PORTNAME}-gpl-${PORTVERSION}-src
Index: devel/gprbuild/Makefile
===================================================================
--- devel/gprbuild/Makefile	(revision 414290)
+++ devel/gprbuild/Makefile	(working copy)
@@ -3,7 +3,7 @@
 
 PORTNAME=	gprbuild
 PORTVERSION=	${SNAPSHOT}
-PORTREVISION=	1
+PORTREVISION=	2
 CATEGORIES=	devel
 MASTER_SITES=	http://downloads.dragonlace.net/src/
 DISTNAME=	gprbuild-gpl-${YEAR}-src
Index: devel/gps/Makefile
===================================================================
--- devel/gps/Makefile	(revision 414290)
+++ devel/gps/Makefile	(working copy)
@@ -3,7 +3,7 @@
 
 PORTNAME=	gps
 PORTVERSION=	6.1.1.0
-PORTREVISION=	2
+PORTREVISION=	3
 CATEGORIES=	devel
 MASTER_SITES=	http://downloads.dragonlace.net/src/
 DISTNAME=	gps-6.1.1-src
Index: devel/matreshka/Makefile
===================================================================
--- devel/matreshka/Makefile	(revision 414290)
+++ devel/matreshka/Makefile	(working copy)
@@ -3,6 +3,7 @@
 
 PORTNAME=	matreshka
 PORTVERSION=	0.7.0
+PORTREVISION=	1
 CATEGORIES=	devel
 MASTER_SITES=	http://forge.ada-ru.org/matreshka/downloads/
 
Index: devel/pcsc-ada/Makefile
===================================================================
--- devel/pcsc-ada/Makefile	(revision 414290)
+++ devel/pcsc-ada/Makefile	(working copy)
@@ -3,6 +3,7 @@
 
 PORTNAME=	pcsc-ada
 PORTVERSION=	0.7.2
+PORTREVISION=	1
 CATEGORIES=	devel
 MASTER_SITES=	http://www.codelabs.ch/download/
 DISTNAME=	libpcscada-${PORTVERSION}
Index: devel/pragmarcs/Makefile
===================================================================
--- devel/pragmarcs/Makefile	(revision 414290)
+++ devel/pragmarcs/Makefile	(working copy)
@@ -3,6 +3,7 @@
 
 PORTNAME=	pragmarcs
 PORTVERSION=	20160427
+PORTREVISION=	1
 CATEGORIES=	devel
 
 MAINTAINER=	marino@FreeBSD.org
Index: devel/sdl_gnat/Makefile
===================================================================
--- devel/sdl_gnat/Makefile	(revision 414290)
+++ devel/sdl_gnat/Makefile	(working copy)
@@ -3,7 +3,7 @@
 
 PORTNAME=	sdl_gnat
 PORTVERSION=	2013
-PORTREVISION=	2
+PORTREVISION=	3
 CATEGORIES=	devel
 MASTER_SITES=	http://downloads.dragonlace.net/src/
 
Index: devel/simple_components/Makefile
===================================================================
--- devel/simple_components/Makefile	(revision 414290)
+++ devel/simple_components/Makefile	(working copy)
@@ -3,6 +3,7 @@
 
 PORTNAME=	simple_components
 PORTVERSION=	4.12
+PORTREVISION=	1
 CATEGORIES=	devel
 MASTER_SITES=	http://www.dmitry-kazakov.de/ada/
 DISTNAME=	components_${PORTVERSION:S/./_/}
Index: graphics/generic_image_decoder/Makefile
===================================================================
--- graphics/generic_image_decoder/Makefile	(revision 414290)
+++ graphics/generic_image_decoder/Makefile	(working copy)
@@ -3,6 +3,7 @@
 
 PORTNAME=	generic_image_decoder
 PORTVERSION=	05
+PORTREVISION=	1
 CATEGORIES=	graphics
 MASTER_SITES=	http://sourceforge.net/projects/${SFPATH}/
 DISTNAME=	gid-${PORTVERSION}
Index: lang/adacontrol/Makefile
===================================================================
--- lang/adacontrol/Makefile	(revision 414290)
+++ lang/adacontrol/Makefile	(working copy)
@@ -3,7 +3,7 @@
 
 PORTNAME=	adacontrol
 PORTVERSION=	1.17r3
-PORTREVISION=	1
+PORTREVISION=	2
 CATEGORIES=	lang
 MASTER_SITES=	SF/adacontrol
 DISTNAME=	adactl-${PORTVERSION}-src
Index: lang/asis/Makefile
===================================================================
--- lang/asis/Makefile	(revision 414290)
+++ lang/asis/Makefile	(working copy)
@@ -3,6 +3,7 @@
 
 PORTNAME=	asis
 PORTVERSION=	2015
+PORTREVISION=	1
 CATEGORIES=	lang
 MASTER_SITES=	http://downloads.dragonlace.net/src/
 DISTNAME=	${PORTNAME}-gpl-${PORTVERSION}-src
Index: lang/lua-ada/Makefile
===================================================================
--- lang/lua-ada/Makefile	(revision 414290)
+++ lang/lua-ada/Makefile	(working copy)
@@ -3,6 +3,7 @@
 
 PORTNAME=	lua-ada
 PORTVERSION=	1.0			# made-up; no version info on GH
+PORTREVISION=	1
 CATEGORIES=	lang
 
 MAINTAINER=	marino@FreeBSD.org
Index: math/plplot-ada/Makefile
===================================================================
--- math/plplot-ada/Makefile	(revision 414290)
+++ math/plplot-ada/Makefile	(working copy)
@@ -3,6 +3,7 @@
 
 PORTNAME=	plplot
 PORTVERSION=	${RELEASE}
+PORTREVISION=	1
 CATEGORIES=	math
 MASTER_SITES=	SF/${PORTNAME}/${PORTNAME}/${PORTVERSION}%20Source
 PKGNAMESUFFIX=	-ada
Index: misc/excel-writer/Makefile
===================================================================
--- misc/excel-writer/Makefile	(revision 414290)
+++ misc/excel-writer/Makefile	(working copy)
@@ -3,6 +3,7 @@
 
 PORTNAME=	excel-writer
 PORTVERSION=	15
+PORTREVISION=	1
 CATEGORIES=	misc
 MASTER_SITES=	http://sourceforge.net/projects/${SFPATH}/
 DISTNAME=	excel_writer_${PORTVERSION}
Index: misc/ini_file_manager/Makefile
===================================================================
--- misc/ini_file_manager/Makefile	(revision 414290)
+++ misc/ini_file_manager/Makefile	(working copy)
@@ -3,6 +3,7 @@
 
 PORTNAME=	ini_file_manager
 PORTVERSION=	03
+PORTREVISION=	1
 CATEGORIES=	misc
 MASTER_SITES=	http://sourceforge.net/projects/${SFPATH}/
 DISTNAME=	ini-files-${PORTVERSION}
Index: net/adasockets/Makefile
===================================================================
--- net/adasockets/Makefile	(revision 414290)
+++ net/adasockets/Makefile	(working copy)
@@ -3,6 +3,7 @@
 
 PORTNAME=	adasockets
 PORTVERSION=	1.10
+PORTREVISION=	1
 CATEGORIES=	net
 MASTER_SITES=	http://www.rfc1149.net/download/adasockets/
 
Index: net/anet/Makefile
===================================================================
--- net/anet/Makefile	(revision 414290)
+++ net/anet/Makefile	(working copy)
@@ -3,6 +3,7 @@
 
 PORTNAME=	anet
 PORTVERSION=	0.3.1
+PORTREVISION=	1
 CATEGORIES=	net
 MASTER_SITES=	http://www.codelabs.ch/download/
 DISTNAME=	libanet-${PORTVERSION}
Index: net/polyorb/Makefile
===================================================================
--- net/polyorb/Makefile	(revision 414290)
+++ net/polyorb/Makefile	(working copy)
@@ -3,7 +3,7 @@
 
 PORTNAME=	polyorb
 PORTVERSION=	2.11.1
-PORTREVISION=	2
+PORTREVISION=	3
 CATEGORIES=	net
 MASTER_SITES=	http://downloads.dragonlace.net/src/
 DISTNAME=	polyorb-gpl-${YEAR}-src
Index: security/libadacrypt/Makefile
===================================================================
--- security/libadacrypt/Makefile	(revision 414290)
+++ security/libadacrypt/Makefile	(working copy)
@@ -3,6 +3,7 @@
 
 PORTNAME=	libadacrypt
 PORTVERSION=	20151019
+PORTREVISION=	1
 CATEGORIES=	security
 
 MAINTAINER=	marino@FreeBSD.org
Index: security/libsparkcrypto/Makefile
===================================================================
--- security/libsparkcrypto/Makefile	(revision 414290)
+++ security/libsparkcrypto/Makefile	(working copy)
@@ -3,7 +3,7 @@
 
 PORTNAME=	libsparkcrypto
 PORTVERSION=	0.1.1
-PORTREVISION=	3
+PORTREVISION=	4
 CATEGORIES=	security
 MASTER_SITES=	http://senier.net/libsparkcrypto/
 
Index: textproc/adabrowse/Makefile
===================================================================
--- textproc/adabrowse/Makefile	(revision 414290)
+++ textproc/adabrowse/Makefile	(working copy)
@@ -3,7 +3,7 @@
 
 PORTNAME=	adabrowse
 PORTVERSION=	4.0.3
-PORTREVISION=	1
+PORTREVISION=	2
 CATEGORIES=	textproc
 MASTER_SITES=	http://home.datacomm.ch/t_wolf/tw/ada95/adabrowse/
 DISTNAME=	${PORTNAME}_${PORTVERSION}_src
Index: textproc/opentoken/Makefile
===================================================================
--- textproc/opentoken/Makefile	(revision 414290)
+++ textproc/opentoken/Makefile	(working copy)
@@ -3,6 +3,7 @@
 
 PORTNAME=	opentoken
 PORTVERSION=	6.0b
+PORTREVISION=	1
 CATEGORIES=	textproc
 MASTER_SITES=	http://stephe-leake.org/ada/
 
Index: textproc/templates_parser/Makefile
===================================================================
--- textproc/templates_parser/Makefile	(revision 414290)
+++ textproc/templates_parser/Makefile	(working copy)
@@ -3,7 +3,7 @@
 
 PORTNAME=	templates_parser
 PORTVERSION=	11.10.0.0
-PORTREVISION=	2
+PORTREVISION=	3
 CATEGORIES=	textproc
 MASTER_SITES=	http://downloads.dragonlace.net/src/
 
Index: textproc/xml_ez_out/Makefile
===================================================================
--- textproc/xml_ez_out/Makefile	(revision 414290)
+++ textproc/xml_ez_out/Makefile	(working copy)
@@ -3,6 +3,7 @@
 
 PORTNAME=	xml_ez_out
 PORTVERSION=	1.06
+PORTREVISION=	1
 CATEGORIES=	textproc
 MASTER_SITES=	http://www.mckae.com/xml_ezout/
 DISTNAME=	${PORTNAME}_${PORTVERSION}
Index: textproc/xmlada/Makefile
===================================================================
--- textproc/xmlada/Makefile	(revision 414290)
+++ textproc/xmlada/Makefile	(working copy)
@@ -3,7 +3,7 @@
 
 PORTNAME=	xmlada
 PORTVERSION=	4.6.0.0
-PORTREVISION=	1
+PORTREVISION=	2
 CATEGORIES=	textproc
 MASTER_SITES=	http://downloads.dragonlace.net/src/
 DISTNAME=	xmlada-gpl-2015-src
Index: www/aws/Makefile
===================================================================
--- www/aws/Makefile	(revision 414290)
+++ www/aws/Makefile	(working copy)
@@ -3,7 +3,7 @@
 
 PORTNAME=	aws
 PORTVERSION=	3.3.0.0
-PORTREVISION=	2
+PORTREVISION=	3
 CATEGORIES=	www
 MASTER_SITES=	http://downloads.dragonlace.net/src/
 
Index: www/aws-demos/Makefile
===================================================================
--- www/aws-demos/Makefile	(revision 414290)
+++ www/aws-demos/Makefile	(working copy)
@@ -3,6 +3,7 @@
 
 PORTNAME=	aws
 PORTVERSION=	3.3.0.0
+PORTREVISION=	1
 CATEGORIES=	www
 MASTER_SITES=	http://downloads.dragonlace.net/src/
 PKGNAMESUFFIX=	-demos
Index: x11-toolkits/gtkada/Makefile
===================================================================
--- x11-toolkits/gtkada/Makefile	(revision 414290)
+++ x11-toolkits/gtkada/Makefile	(working copy)
@@ -3,7 +3,7 @@
 
 PORTNAME=	gtkada
 PORTVERSION=	2.24.4.0
-PORTREVISION=	3
+PORTREVISION=	4
 CATEGORIES=	x11-toolkits
 MASTER_SITES=	http://downloads.dragonlace.net/src/
 DISTFILES=	${DISTNAME}${EXTRACT_SUFX} \
Index: x11-toolkits/gtkada3/Makefile
===================================================================
--- x11-toolkits/gtkada3/Makefile	(revision 414290)
+++ x11-toolkits/gtkada3/Makefile	(working copy)
@@ -3,7 +3,7 @@
 
 PORTNAME=	gtkada
 PORTVERSION=	3.8.3.2
-PORTREVISION=	1
+PORTREVISION=	2
 CATEGORIES=	x11-toolkits
 MASTER_SITES=	http://downloads.dragonlace.net/src/
 PKGNAMESUFFIX=	3
Index: x11-toolkits/qtada/Makefile
===================================================================
--- x11-toolkits/qtada/Makefile	(revision 414290)
+++ x11-toolkits/qtada/Makefile	(working copy)
@@ -3,7 +3,7 @@
 
 PORTNAME=	qtada
 PORTVERSION=	3.2.0.0
-PORTREVISION=	2
+PORTREVISION=	3
 CATEGORIES=	x11-toolkits
 MASTER_SITES=	http://download.qtada.com/
 DISTNAME=	${PORTNAME}-gpl-3.2.0-20120708-3871
